GuidesAPI ReferenceChangelog
API Reference

Update Customer

Update business information for a specific Customer. All fields are optional (partial update).

KYB Status Restrictions

Updates are only allowed when KYB status is one of:

StatusDescription
initInitial state, customer data not yet complete
pending_responseCompliance requested additional information

Updates are NOT allowed (returns 400 error) when KYB status is:

StatusDescription
pending_reviewData complete, queued for compliance review
under_reviewCurrently being reviewed by compliance
escalatedEscalated for further review
pending_approvalPending final approval
rejectedApplication rejected
approvedKYB approved, customer is active
provisioningKYB approved, fiat accounts being set up

Use Cases

  • Complete initial customer setup (status: init)
  • Provide additional information requested by compliance (status: pending_response)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Customer ID

Body Params

Request body for updating a Customer All fields are optional to support partial updates

string | null
string | null

Business description

string | null

A unique identifier assigned to a company by the government during its incorporation

string | null

Primary email address

string | null

NAICS code representing the business industry

string | null

Date of incorporation (format: YYYY-MM-DD)

string | null

The ID of the signed agreement that the customer completed (UUID format)

string | null

Only allowed for entities with Reliance KYC model. Timestamp of when you collected the customer's terms of service signature. Can only be updated while the KYB status is init or pending_response.

associated_persons
array of objects | null

New associated persons to add to the Customer (beneficial owners, controllers, signers, directors). This field only supports adding NEW associated persons. To update existing associated persons, use the dedicated update endpoint. To delete associated persons, use the dedicated delete endpoint.

associated_persons
source_of_funds
array of objects | null

Source of funds (can be multiple sources)

source_of_funds
source_of_wealth
array of objects | null

Source of wealth (optional, can be multiple sources)

source_of_wealth
documents
array of objects | null

Documents for KYB verification

documents
string | null

The business's primary website/web presence

boolean | null

Whether the business is publicly traded

string | null

Required if the primary purpose is 'other'

high_risk_activities
array of objects | null

List of high-risk activities the business is involved in

high_risk_activities
string | null

An explanation of the high risk activities that the business performs. Required for high risk customers.

string | null

Tax country code in ISO 3166-1 alpha-3 format (e.g., USA, GBR, CAN)

string | null

Tax identification number for the business

Responses

Language
Credentials
Bearer
OneMoney-HMAC-SHA256
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json